@charset "UTF-8";

/* Stylesheet for SOLVIT-Website, ed. 2024
 * Adopting the general design of the new Europa site
 * by Sascha Leib for GROW.E.4
 * File name: core.css
 */

html {
	line-height: 1.15;
	scroll-behavior: smooth;
	font-size: 16px;
}

* {
	margin: 0;
	padding: 0;
}

body {
	font-family: arial, helvetica, sans-serif;
	overflow-x: hidden;
	overflow-y: auto;
	background-color: #f3f5fb;
	color: #26324b;
}

/* global focus outline: */
a:focus, input:focus, button:focus {
	outline: 2px solid #F39811;
}

/* accessibility fixes */
.sr-only {
	position: absolute;
	clip: rect(0,0,0,0);
	clip-path: rect(0px 0px 0px 0px);
	overflow: hidden;
	height: 1px;
	width: 1px;
	border: 0 none;
	margin: -1px;
}

/* Skip Link */
#skip-link {
	position: fixed;
	left: 4pt;
	top: 4pt;
	width: auto;
	z-index: 9999;
}
#skip-link a {
	position: absolute;
	background-color: #4073AF;
	font-size: 1.25em;
	color: #fff;
	height: 1px;
	overflow: hidden;
	clip: rect(1px,1px,1px,1px);
	clip-path: rect(0px 0px 0px 0px);
}
#skip-link a:focus {
	position: static;
	display: inline-block;
	padding: 8px;
	height: auto;
	clip: auto;
	overflow: visible;
	clip-path: none;
}

/* globan banner */
#globan {
	min-height: 1.8em;
	z-index: 40;
	background-color: #EEE;
	padding: 0 0 0 16px;
	position: relative;
	line-height: inherit;
}
#globan * {
	font-size: 10.5pt;
}
#globan, #globan *, #globan ::after, #globan ::before {
	box-sizing: border-box;
}

#globan .globan-center {
	display: inline-block;
	position: relative;
}
#globan .globan-content {
	color: #000;
	min-height: 25px;
	line-height: 25px;
	overflow: hidden;
}

#globan.logo-flag .globan-content::before {
	content: ' ' !important;
	display: inline-block;
	width: 24px;
	height: 16px;
	background: center center / 110% auto no-repeat #004494 url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' viewBox='0 0 810 540' width='810' height='540'%3E%3Cdefs%3E%3Cg id='s'%3E%3Cg id='c'%3E%3Cpath id='t' d='M0,0v1h0.5z' transform='translate(0,-1) rotate(18)'/%3E%3Cuse xlink:href='%23t' transform='scale(-1,1)'/%3E%3C/g%3E%3Cg id='a'%3E%3Cuse xlink:href='%23c' transform='rotate(72)'/%3E%3Cuse xlink:href='%23c' transform='rotate(144)'/%3E%3C/g%3E%3Cuse xlink:href='%23a' transform='scale(-1,1)'/%3E%3C/g%3E%3C/defs%3E%3Crect fill='%23039' width='810' height='540'/%3E%3Cg fill='%23fc0' transform='scale(30)translate(13.5,9)'%3E%3Cuse xlink:href='%23s' y='-6'/%3E%3Cuse xlink:href='%23s' y='6'/%3E%3Cg id='l'%3E%3Cuse xlink:href='%23s' x='-6'/%3E%3Cuse xlink:href='%23s' transform='rotate(150)translate(0,6)rotate(66)'/%3E%3Cuse xlink:href='%23s' transform='rotate(120)translate(0,6)rotate(24)'/%3E%3Cuse xlink:href='%23s' transform='rotate(60)translate(0,6)rotate(12)'/%3E%3Cuse xlink:href='%23s' transform='rotate(30)translate(0,6)rotate(42)'/%3E%3C/g%3E%3Cuse xlink:href='%23l' transform='scale(-1,1)'/%3E%3C/g%3E%3C/svg%3E");	float: left;
	margin: 5.5px 8px 0 0;
	border: 1px solid #004494;
	border-color: #7f99cc;
}
#globan span {
	display: none;
}
#globan span:first-child {
	display: inline-block;
}
#globan .globan-content button {
	text-decoration: none;
	color: #444444;
	background-color: transparent;
	font-weight: 400;
	margin: 2px 2px 2px 6px;
	border-radius: 2px;
	padding: 0 7px;
	position: relative;
	display: inline-block;
	height: calc(100% - 4px);
	cursor: pointer;
	border: 3px solid transparent;
}
#globan .globan-content button::after {
	content: ' ' !important;
	display: inline-block;
	width: 20px;
	height: 8px;
	transition: all .3s;
	margin-left: 2px;
	background: center center / 12px auto no-repeat transparent url("data:image/svg+xml,%3Csvg fill='%23444' xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M0 7.33l2.829-2.83 9.175 9.339 9.167-9.339 2.829 2.83-11.996 12.17z'/%3E%3C/svg%3E");
}
#globan .globan-content button:hover,
#globan .globan-content button:focus,
#globan .globan-content button:active,
#globan .globan-content button[aria-expanded=true] {
	background-color: #fff;
	color: #004494;
}
#globan .globan-content button:hover::after,
#globan .globan-content button:focus::after,
#globan .globan-content button:active::after,
#globan .globan-content button[aria-expanded=true]::after {
	background-image: url("data:image/svg+xml,%3Csvg fill='%23004494' xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M0 7.33l2.829-2.83 9.175 9.339 9.167-9.339 2.829 2.83-11.996 12.17z'/%3E%3C/svg%3E");
}
#globan .globan-content button[aria-expanded=true]::after,
#globan .globan-content:has(:popover-open) button::after {
	transform: rotate(-180deg);
}

#globan .globan-popover {
	background-color: #fff;
	position: relative;
	right: 0;
	top: 23px;
	padding: 12px 16px;
	margin: 5px 0 0 0;
	max-width: 500px;
	border: 1px solid #ccc;
	box-shadow: 0 4px 5px 0 rgba(0,0,0,.4);
	color: #444;
}

globan .globan-popover p {
	padding: 0;
	margin: 0;
	line-height: 1.4;
}
#globan .globan-popover p:nth-child(2) {
	margin-top: 10px;
}
#globan .globan-popover a:link {
	color: #004494;
	text-decoration: underline;
}

@media (max-width: 820px) {
	#globan span { display: inline-block; }
	#globan span:first-child { display: none; }
}

@media (max-width: 360px) {
	#globan .globan-content button {
		margin-left: 28px;
		width: calc(100% - 32px);
		text-align: left;
		padding-left: 2px;
	}
	#globan .globan-popover {
		top: 46px;
	}
}

/* header / logo */
header {
	width: 100%;
	max-width: 60rem;
	margin: 0 auto;
}
#site-logo {
	width: 262px; height: 64px;
	background: transparent url('../img/logo/logo-ec_en.svg') center no-repeat;
	margin: 1.25rem;
}

@media (max-width: 760px) {
	#site-logo {
		width: 90px; height: 45px;
		background: transparent url('../img/logo/ec-logo-only.svg') center no-repeat;
		background-size: 90px 45px;
		margin: 1.25rem;
	}
}

/* main layout: */
main {
	width: 100%;
	max-width: 60rem;
	margin: 0 auto;
	background-color: #FFF;
}

main h1 {
	font: normal normal 400 1.5rem/2rem arial,sans-serif;
	margin-left: 1.5rem;
	padding: 1.5rem 0 0 0;
}

main h2 {
	font: normal normal 400 1rem/2rem arial,sans-serif;
	padding-left: .8rem;
	margin-bottom: .5rem;
}

main ul {
	list-style: none;
	line-height: 2em;
}

main ul a {
	color: #3860ed;
	text-decoration: none;
	display: block;
	border-radius: 2pt;
}
main ul a:hover span {
	text-decoration: underline;
}
main ul a::before {
	content: attr(hreflang);
	text-transform: uppercase;
	color: #26324b;
	display: inline-block;
	width: 3rem;
	text-align: center;
}

/* responsive layout: */

main #language-switcher {
	display: grid;
	grid-template-columns: 3fr 1fr;
	margin: 1rem 1rem 1rem .7rem;
	padding-bottom: 1rem;
}
main ul {
	display: flex;
	flex-flow: column wrap;
	max-height: 16rem;
}

main #other-languages {
	border-left: #B9C5E9 solid 1px;
}

@media (max-width: 760px) {
	main #language-switcher { grid-template-columns: 2fr 1fr; }
	main ul { max-height: 24rem; }
}
@media (max-width: 600px) {
	main #language-switcher { grid-template-columns: 1fr 1fr; }
	main ul { max-height: initial; }
}
@media (max-width: 440px) {
	main #language-switcher { grid-template-columns: 1fr; }
	main #other-languages { margin-top: 1rem; border-left: none; }
}